## phylonium 1.7

=== documentation/Makefile ===
include ${DISS_PATH}/Makefile

DIAGRAMS=eco29.pdf

all: manual.pdf

manual.pdf: manual.tex $(DIAGRAMS)
	pdflatex -interaction=nonstopmode $^

eco29.mat:
	phylonium ${DISS_PATH}/data/eco29/* > $@ 

eco29.tree: eco29.mat
	mat nj $^ >  $@

eco29.pdf: eco29.tree
	./etefmt.py $^ -o $@ -r eco29.names

clean: clean-latex
	setopt null_glob; $(RM) *.mat *.tree

## phylonium 1.2

=== debian/changelog ===
phylonium (1.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:54:03 +0100

phylonium (1.2-1) unstable; urgency=medium

  * new upstream release
    This release includes a workaround for a bug in debian's gcc #945133
    and fixes build issues on hurd and kfreebsd.

 -- Fabian Klötzl <kloetzl@evolbio.mpg.de>  Wed, 04 Dec 2019 10:52:47 +0000

phylonium (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #944299)

 -- Fabian Klötzl <kloetzl@evolbio.mpg.de>  Wed, 06 Nov 2019 10:09:50 +0000

=== debian/control ===
Source: phylonium
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Fabian Klötzl <kloetzl@evolbio.mpg.de>
Build-Depends: debhelper-compat (= 12),
               libdivsufsort-dev,
               libgsl-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/phylonium
Vcs-Git: https://salsa.debian.org/med-team/phylonium.git
Homepage: https://github.com/EvolBioInf/phylonium

Package: phylonium
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdivsufsort3
Description: Fast and Accurate Estimation of Evolutionary Distances
 This is the phylonium program for estimating the evolutionary distances
 between closely related genomes. It is much faster than alignment based
 approaches for phylogeny reconstruction and usually more accurate than
 competing alignment-free methods.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
# DH_VERBOSE := 1

IS_EMPTY_ON_NONX86 = $(filter amd64 i386,$(DEB_HOST_ARCH_CPU))
ifeq (,$(IS_EMPTY_ON_NONX86))
CONFIGURE_FLAGS=--disable-x86simd
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

## phylonium 1.3

=== debian/changelog ===
phylonium (1.3-1) unstable; urgency=medium

  * Team Upload.
  * Multi-orig tarball for testing data
  * New upstream version 1.3
  * Add autopkgtests
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)\

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 06 Nov 2020 14:27:37 +0530

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Fabian Klötzl <kloetzl@evolbio.mpg.de>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libdivsufsort-dev,
                libgsl-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/phylonium
 Vcs-Git: https://salsa.debian.org/med-team/phylonium.git
 Homepage: https://github.com/EvolBioInf/phylonium
+Rules-Requires-Root: no
 
 Package: phylonium
 Architecture: any

=== debian/watch ===
version=3

https://github.com/evolbioinf/phylonium/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## phylonium 1.6

=== debian/changelog ===
phylonium (1.6-1) unstable; urgency=medium

  [ Fabian Klötzl ]
  * New upstream version 1.6

  [ Nilesh Patra ]
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Fabian Klötzl <kloetzl@evolbio.mpg.de>  Thu, 30 Dec 2021 19:03:59 +0530

phylonium (1.5-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Declare compliance with policy 4.5.1
  * New upstream version 1.4
  * Add myself to uploaders

  [ Fabian Klötzl ]
  * New upstream version 1.5
  * Remove GSL dependency

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 17:28:00 +0530

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Fabian Klötzl <kloetzl@evolbio.mpg.de>
+Uploaders: Fabian Klötzl <kloetzl@evolbio.mpg.de>, Nilesh Patra <nilesh@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               libdivsufsort-dev,
-               libgsl-dev
-Standards-Version: 4.5.0
+               libdivsufsort-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/phylonium
 Vcs-Git: https://salsa.debian.org/med-team/phylonium.git
 Homepage: https://github.com/EvolBioInf/phylonium

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
# DH_VERBOSE := 1
include /usr/share/dpkg/pkg-info.mk

IS_EMPTY_ON_NONX86 = $(filter amd64 i386,$(DEB_HOST_ARCH_CPU))
ifeq (,$(IS_EMPTY_ON_NONX86))
CONFIGURE_FLAGS=--disable-x86simd
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

DESTDIR=..
VERSION=`echo ${DEB_VERSION} | sed 's/\-.*//'`
get-debian-test-data:
	echo ${DESTDIR}
	echo ${VERSION}
	wget https://github.com/EvolBioInf/life2015/raw/gh-pages/eco29.fasta.gz
	mv eco29.fasta.gz ${DESTDIR}
	tar -czvf `pwd`/${DESTDIR}/phylonium_${VERSION}.orig-debian-tests-data.tar.gz  `pwd`/${DESTDIR}/eco29.fasta.gz

## phylonium 1.7

=== debian/changelog ===
phylonium (1.7-3) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patch from upstream (plus an addition from me) to fix the
    32-bits build. Closes: #1067920

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Mar 2024 12:36:56 +0100

phylonium (1.7-2) unstable; urgency=medium

  * Add myself to Uploaders
    Closes: #1059717

 -- Andreas Tille <tille@debian.org>  Tue, 06 Feb 2024 10:19:17 +0100

phylonium (1.7-1) unstable; urgency=medium

  * Team Upload.
  * Remove myself from uploaders
  * New upstream version 1.7
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 24 Jun 2023 14:30:18 +0530

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Fabian Klötzl <kloetzl@evolbio.mpg.de>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Fabian Klötzl <kloetzl@evolbio.mpg.de>,
+           Andreas Tille <tille@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libdivsufsort-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/phylonium
 Vcs-Git: https://salsa.debian.org/med-team/phylonium.git
 Homepage: https://github.com/EvolBioInf/phylonium

=== debian/watch ===
version=4

https://github.com/evolbioinf/phylonium/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
